org.apache.fop.render.afp.extensions

## Class AFPPageOverlay

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPPageOverlay

- All Implemented Interfaces:
    java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class AFPPageOverlay
      extends AFPExtensionAttachment

  This extension allows to include an AFP Page Overlay resource. It is implemented as an extension attachment (`ExtensionAttachment`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATT_X` X coordinate attribute
    `protected static java.lang.String` | `ATT_Y` X coordinate attribute

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `ATT_NAME, CATEGORY, elementName, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPPageOverlay()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getX()` returns X coordinate
    `int` | `getY()` returns Y coordinate
    `void` | `setX(int x)` Sets the X coordinate
    `void` | `setY(int y)` Sets the Y coordinate
    `void` | `toSAX(org.xml.sax.ContentHandler handler)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `getCategory, getElementName, getName, hasName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATT_X

          protected static final java.lang.String ATT_X

      X coordinate attribute
      See Also:
        Constant Field Values

    - #### ATT_Y

          protected static final java.lang.String ATT_Y

      X coordinate attribute
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AFPPageOverlay

          public AFPPageOverlay()

      Default constructor.

  - ### Method Detail

    - #### getX

          public int getX()

      returns X coordinate
      Returns:
        x integer

    - #### setX

          public void setX(int x)

      Sets the X coordinate
      Parameters:
        `x` - The integer to be set.

    - #### getY

          public int getY()

      returns Y coordinate
      Returns:
        y integer

    - #### setY

          public void setY(int y)

      Sets the Y coordinate
      Parameters:
        `y` - The integer to be set.

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.